import java.util.Random;
import java.util.Scanner;

/**
 * This is, again, a program class (the class with the 'main' in it).
 */
public class GuessingGame {
	static final int NUMBER_OF_SPINS = 10;
	static final int NUMBER_OF_RESULTS = 5;
	static final int INITIAL_DOLLARS = 100;
	
	public static void main(String[] args) {
		
		// initialize variables
		Scanner scanner = new Scanner(System.in);
		Random random = new Random();
		int counter = 0;
		int dollars = INITIAL_DOLLARS;
		
		
		do {
			
			// get the number the user bets on
			System.out.print("What number will you bet on? ");
			int bet = scanner.nextInt();
			
			// make sure the bet is in range
			while (bet < 0 || bet >= NUMBER_OF_RESULTS) {
				System.out.println("Please choose between 0 and " + NUMBER_OF_RESULTS);
				System.out.print("What number will you bet on? ");
				bet = scanner.nextInt();
			}
			
			// get the amount of dollars the user bets on ('ante')
			System.out.print("How much money will you bet on " + bet + "? $");
			int ante = scanner.nextInt();
			
			// make sure the ante is in range
			while (ante > dollars) {
				System.out.println("You don't have that amount of cash.");
				System.out.print("How much money will you bet on " + bet + "? $");
				ante = scanner.nextInt();
			}
			
			// pick a random number
			int result = random.nextInt(NUMBER_OF_RESULTS);

			// handle the result
			System.out.println("Result: " + result);
			
			// behave according to the result
			if (result == bet) {
				System.out.println("You guessed right!");
				dollars += ante * NUMBER_OF_RESULTS;
			} else {
				System.out.println("You guessed wrong..");
				dollars -= ante;
			}
			
			// let the user know their status
			System.out.println("You now have $" + dollars);
			
			if (dollars == 0) {
				
				// if you run out of money - game over!
				System.out.println("You have no money left. Goodbye!");
				break;
			}
			
		// repeat for 1,000 times
		} while (++counter < NUMBER_OF_SPINS);
	
		System.out.println("Game over. You are left with $" + dollars);
	}
}
